Bug 1886405 - Please obsolete lorax-composer from osbuild-composer
Summary: Please obsolete lorax-composer from osbuild-composer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: osbuild-composer
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Budai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 12:02 UTC by Miro Hrončok
Modified: 2021-02-17 14:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-17 14:12:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-10-08 12:02:14 UTC
lorax-composer is gone in https://src.fedoraproject.org/rpms/lorax/c/195074814e1743b5633b605b4acd15ae8f1c9d7a?branch=master

The changelog says: "Remove lorax-composer, it has been replaced by osbuild-composer (bcl@redhat.com)"

However osbuild-composer does not obsoletes lorax-composer.

As a result, users upgrading from Fedora 32 to 34 will get an error (once lorax-composer disappears from rawhide repos).


Let me know if I should obsolete if from fedora-obsolete-packages instead.

Comment 1 Ondřej Budai 2020-10-09 09:50:19 UTC
I opened a PR upstream: https://github.com/osbuild/osbuild-composer/pull/1024

May I ask you for a review?

This would get into Fedora when we release the next version, currently targetting Wednesday.

Comment 2 Ben Cotton 2021-02-09 15:20:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 3 Ondřej Budai 2021-02-17 14:12:53 UTC
This was fixed ages ago, I forgot to close this issue, sorry!


Note You need to log in before you can comment on or make changes to this bug.